#!/bin/bash

#Zmienne uzytkownika
KLUCZ="KLUCZ"
Y="SZEROKOSC_GEOGRAFICZNA"
X="DLUGOSC_GEOGRAFICZNA"
R="PROMIEN w KM"

source soap.sh "$KLUCZ" "$Y" "$X" "$R"

function przyklad {

	# Oto wszystkie możliwe do użycia zmienne uruchomione w tym skrypcie:
		# SOAP_liczba		- zwraca ile wyładowań w lokalizacji
		# SOAP_odleglosc	- zwraca odległość w km od najbliższego wywołania
		# SOAP_kierunek		- zwraca kierunek (N S E W NS NE SE SW) w którym było wyładowanie
		# SOAP_okres		- zwraca okres w minutach, który został zbadany

		# Poniższe zmienne zwracają albo wartość "1" dla istniejącego ostrzeżenia lub "0" dla braku takiego ostrzeżenia
		# SOAP_mroz		- dla ostrzeżenia o mrozie
		# SOAP_upal		- dla ostrzeżenia o upale
		# SOAP_wiatr	- dla ostrzeżenia o wietrze
		# SOAP_opad		- dla ostrzeżenia o opadach
		# SOAP_burza	- dla ostrzeżenia o burzy
		# SOAP_traba	- dla ostrzeżenia o trąbie powietrznej

	echo Prognoza dla wspólrzędnych: $Y $X i promieniu $R km

	echo Liczba wyladowan: $SOAP_liczba
	echo -e "Odleglosc wyladowania: $SOAP_odleglosc (Kierunek: $SOAP_kierunek)"
	echo Okres w którym to nastąpiło: $SOAP_okres minut

	echo
	echo -e "Mroz: $SOAP_mroz \t Upał: $SOAP_upal"
	echo -e "Wiatr: $SOAP_wiatr \t Opady: $SOAP_opad"
	echo -e "Burza: $SOAP_burza \t Trąba: $SOAP_traba"
}

przyklad