#!/bin/bash

	# Autor: Jarosław Zjawiński (zjawinski.com.pl)
	# Wersja: 2017-07-21 v.01b
	# Kontakt: api@zjawinski.com.pl

# Zmienne srodowiskowe
XML_FILE="test.xml"
XML_REQUEST="soap.xml"

Y=$2
X=$3
R=$4
KLUCZ=$1

echo " <soapenv:Envelope xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance' xmlns:xsd='http://www.w3.org/2001/XMLSchema' xmlns:soapenv='http://schemas.xmlsoap.org/soap/envelope/' xmlns:soap='https://burze.dzis.net/soap.php'>
   <soapenv:Header/>
   <soapenv:Body>
      <soap:szukaj_burzy soapenv:encodingStyle='http://schemas.xmlsoap.org/soap/encoding/'>
         <y xsi:type='xsd:string'>$Y</y>
         <x xsi:type='xsd:string'>$X</x>
         <promien xsi:type='xsd:int'>$R</promien>
         <klucz xsi:type='xsd:string'>$KLUCZ</klucz>
      </soap:szukaj_burzy>
   </soapenv:Body>
</soapenv:Envelope> " > $XML_REQUEST
curl -s -X POST -H "Content-Type: text/xml" -H "SOAPAction: \'https://burze.dzis.net/soap.php'" --data-binary @$XML_REQUEST https://burze.dzis.net/soap.php > $XML_FILE

export SOAP_liczba=$(cat $XML_FILE | grep -oPm1 "(?<=<liczba)[^<]+" | cut -d ">" -f2)
export SOAP_odleglosc=$(cat $XML_FILE | grep -oPm1 "(?<=<odleglosc)[^<]+" | cut -d ">" -f2)
export SOAP_kierunek=$(cat $XML_FILE | grep -oPm1 "(?<=<kierunek)[^<]+" | cut -d ">" -f2)
export SOAP_okres=$(cat $XML_FILE | grep -oPm1 "(?<=<okres)[^<]+" | cut -d ">" -f2)

echo " <soapenv:Envelope xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance' xmlns:xsd='http://www.w3.org/2001/XMLSchema' xmlns:soapenv='http://schemas.xmlsoap.org/soap/envelope/' xmlns:soap='https://burze.dzis.net/soap.php'>
   <soapenv:Header/>
   <soapenv:Body>
      <soap:ostrzezenia_pogodowe soapenv:encodingStyle='http://schemas.xmlsoap.org/soap/encoding/'>
         <y xsi:type='xsd:float'>$Y</y>
         <x xsi:type='xsd:float'>$X</x>
         <klucz xsi:type='xsd:string'>$KLUCZ</klucz>
      </soap:ostrzezenia_pogodowe>
   </soapenv:Body>
</soapenv:Envelope> " > $XML_REQUEST
curl -s -X POST -H "Content-Type: text/xml" -H "SOAPAction: \'https://burze.dzis.net/soap.php'" --data-binary @$XML_REQUEST https://burze.dzis.net/soap.php > $XML_FILE

export SOAP_mroz=$(cat $XML_FILE | grep -oPm1 "(?<=<mroz)[^<]+" | cut -d ">" -f2)
export SOAP_upal=$(cat $XML_FILE | grep -oPm1 "(?<=<upal)[^<]+" | cut -d ">" -f2)
export SOAP_wiatr=$(cat $XML_FILE | grep -oPm1 "(?<=<wiatr)[^<]+" | cut -d ">" -f2)
export SOAP_opad=$(cat $XML_FILE | grep -oPm1 "(?<=<opad)[^<]+" | cut -d ">" -f2)
export SOAP_burza=$(cat $XML_FILE | grep -oPm1 "(?<=<burza)[^<]+" | cut -d ">" -f2)
export SOAP_traba=$(cat $XML_FILE | grep -oPm1 "(?<=<traba)[^<]+" | cut -d ">" -f2)


rm $XML_REQUEST
rm $XML_FILE
